#
# spec file for package crafty (Version 18.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         crafty
Copyright:    1996-2001 by Robert M. Hyatt
Group:        Amusements/Games 
Autoreqprov:  on
Summary:      A chess program
Version:      18.10
Release:      40
Source:       ftp://ftp.cis.uab.edu/pub/hyatt/v18/crafty-18.10.tar.gz
Source1:      crafty-18.10-misc.tar.bz2
Source2:      bitmaps.tar.gz
Patch:        crafty-18.10.dif

%description
A quite strong playing chess program. Uses opening books and endgame database.
The graphical interface (xcrafty) requires the xboard package.

Authors:
--------
    Bob Hyatt <hyatt@cis.uab.edu>

SuSE series: fun

%prep
%setup -c
%setup -T -D -a 1 -a 2
  mkdir .crafty
  touch .craftyrc .crafty/book.bin .crafty/books.bin
  chmod 755 bitmaps
  chmod 644 bitmaps/*
  rm bitmaps/gifs.tar
%patch -p1

%build
  make
  sh make_books

%install
  install -d -m 755 /usr/bin
  install -s -m 755 crafty /usr/bin
  install -m 755 xcrafty /usr/bin
  install -d -m 755 %{_mandir}/man6
  install -m 755 crafty.6 %{_mandir}/man6
  ln -s %{_mandir}/man6/crafty.6.gz %{_mandir}/man6/xcrafty.6.gz
  install -d -m 755 /usr/share/crafty/tb
  install -d -m 755 /usr/share/crafty/bitmaps
  install -m 644 book.bin books.bin /usr/share/crafty
  install -m 644 tb/k[bnpqr]k.nb[bw].emd /usr/share/crafty/tb
  install -m 644 bitmaps/* /usr/share/crafty/bitmaps
  export RPM_BUILD_ROOT
  Check

%files
%doc doc/crafty.doc
%doc doc/crafty.faq
%doc doc/read.me
%doc README.SuSE
/usr/bin/crafty
/usr/bin/xcrafty
%doc %{_mandir}/man6/crafty.6.gz
%doc %{_mandir}/man6/xcrafty.6.gz
/usr/share/crafty

%changelog -n crafty
* Wed Jul 18 2001 - snwint@suse.de
- use SMP on all architectures
* Tue Jul 17 2001 - snwint@suse.de
- link with g++
- work around stdarg problem on ppc & s390
* Mon Jul 16 2001 - snwint@suse.de
- upgraded to new version
* Mon Jun 04 2001 - kukuk@suse.de
- Fix to compile on more non-x86 architectures
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Wed Jun 21 2000 - schwab@suse.de
- Fix makefile for ia64.
* Tue Mar 21 2000 - ro@suse.de
- fixed to compile on alpha
* Sun Mar 05 2000 - snwint@suse.de
- updated intel version; axp, ppc etc will need Makefile fixes
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - uli@suse.de
- fixed for PPC
* Tue Jun 22 1999 - uli@suse.de
- fixed for AXP
* Thu Jun 10 1999 - snwint@suse.de
- wrote a man page
* Wed Jun 09 1999 - snwint@suse.de
- created the package
- moved crafty's config/log/rc files to ~/.crafty/ and ~/.craftyrc
- tablebases are active by default
